<?php
define('IN_CRONTAB', true);
include_once dirname(__FILE__) . "/crontab.inc.php";
include_once dirname(__FILE__) . "/../com.php";

if(( ! defined('NO_CLI')) && (php_sapi_name() !== 'cli')){ //没有配置非命令行开关且不是命令行执行过来的
	die('Please Call Me In Command Line Interface!');
}

if( defined('NO_CLI') && (php_sapi_name() !== 'cli') && (($_SERVER['PHP_AUTH_USER']!=='root')||(md5($_SERVER['PHP_AUTH_PW'].'^')!=='wsc123'))){ //配置了非命令行开关并且不是命令行执行过来且没有验证的
	header('WWW-Authenticate: Basic realm="Login:"');
	header('HTTP/1.0 401 Unauthorized');
	die ("Not authorized");
}
//die();
//ini_set('default_socket_timeout', -1); //socket连接不自动超时
